Retrieve Status


Parameters

Name In Type Required Description
org_id path string true ‘none’
body body ConsentInfoRetrieveStatusRequestBody true Retrieve status request

Request body - instance of ConsentInfoRetrieveStatusRequestBody

1
2
3
4
5
6
7
8
9
{
  "phoneNumber": "+123456789",
  "clientId": "api-consumer",
  "scopes": [
    "location-verification:verify"
  ],
  "purpose": "dpv:FraudPreventionAndDetection",
  "requestCaptureUrl": true
}
Name Type Required Description
phoneNumber ConsentInfoPhoneNumber true A public identifier addressing a telephone subscription. In mobile networks it corresponds to the MSISDN (Mobile Station International Subscriber Directory Number). In order to be globally unique it has to be formatted in international format, according to E.164 standard, prefixed with ‘+’.
clientId string true The client identifier of the API Consumer, as registered with the API Provider.
scopes ConsentInfoScopes true List of requested scopes. The scope is a string that represents the access rights that the API Consumer is requesting from the User.
purpose ConsentInfoPurpose true The reason for which personal data will be processed by the API Consumer. CAMARA defines a standard set of Purposes which can be used by API Consumers to specify the reason for their intended personal data processing. CAMARA uses the W3C Data Privacy Vocabulary (DPV) to represent these purposes e.g. dpv:FraudPreventionAndDetection or dpv:RequestedServiceProvision.
requestCaptureUrl boolean true A boolean flag indicating whether the API Consumer requests API Provider to return a Consent capture URL.
* true - If set to true the API will include a captureUrl in the response body if applicable.
* false - The API will omit the Consent capture URL from the response.

Request example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14

curl -X POST https://opengateway.masstack.com/v0/orgs/{org_id}/consent-info/retrieve \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
 --data-raw "{
  'phoneNumber': '+123456789',
  'clientId': 'api-consumer',
  'scopes': [
    'location-verification:verify'
  ],
  'purpose': 'dpv:FraudPreventionAndDetection',
  'requestCaptureUrl': true
}" 

Responses

Code Meaning Description Schema
200 OK OK ConsentInfoRetrieveStatusResponseBody
400 Bad Request Problem with the client request ConsentInfoApiError
401 Unauthorized Unauthorized ConsentInfoApiError
403 Forbidden Client does not have sufficient permission. ConsentInfoApiError
422 Unprocessable Entity Unprocessable Content ConsentInfoApiError
500 Internal Server Error Server error ConsentInfoApiError
503 Service Unavailable Service unavailable. Typically the server is down. ConsentInfoApiError
504 Gateway Time-out Request time exceeded. If it happens repeatedly, consider reducing the request complexity ConsentInfoApiError

Endpoints

Device Swap

    KycMatch

      Retrieve Status